Subject: Re: Free standards! Get your free standards here!

From: Hoyt L Kesterson II <[email-masked]>
Date: Mon, 5 Nov 2007 01:35:38 -0700

That's correct. The ASN.1 has always been freely available. Other work can include it in part or in whole. That has not changed.

I suspect that identifying the Recommendation number and year of publication is adequate for attribution. I identify both the ISO and ITU standards if appropriate. X.500 is collaborative work and the standard is published identically by both organizations differing only in the foreword. For example ITU-T Recommendation (or Rec.) X.509 (08 2005) and ISO/IEC 9594-8:2005. The practice in the standard is to replace the "and" with the vertical bar character, as in Backus-Naur or Unix pipe. The addition of the month to the ITU-T recommendation is recent with the last edition. Note also that for several edltions of the standard  the dates are different for ISO and ITU since the practice of ITU is to use the date of plenary approval and ISO uses the date of publication.

   hoyt

>Great news!
>
>Many of the standard documents contain ASN.1 definitions for various protocols.
>I recall a copyright policy document that said that ASN.1 definitions
>should be treated as contributed text and as such
>there were no restrictions on implementations based on these ASN.1 definitions.
>Is this correct?
>
>If that is correct, can it be clarified more explicitely?
>
>
>Also, if using the ASN.1 definitions verbatim from a ITU-T standard,
>are there any recommendations on how one should
>annotate the ASN.1 file to credit ITU-T ?
>
>I think there was (but could be wrong) an RFC that talked about how
>one should annotate and credit ietf when extracting/using ASN.1
>definitions from RFCs
>but can not really find that document any more. (it might be a false
>memory, but i think there was such a document).
>
>
>It would be great if ITU-T would extend this with explicit guidelines
>and recommendations for how to correctly extract/use ASN.1 from ITU-T
>standards and
>guidelines on how to make sure that attribution to ITU-T for these
>ASN.1 definitions are done correctly.
>
>(my question here is because wireshark contains many ASN.1 definitions
>for telco protocols, and now that the standards become much easier to
>access I expect there will be an influx of a lot more additional new
>protocols supported by wireshark)
>
>
>best regards
>ronnie sahlberg
>
>
>
>On Nov 5, 2007 1:51 PM, Hoyt L Kesterson II <[email-masked]> wrote:
>>
>> A few years ago ITU began several trials of free distribution of its
>> recommendations. In the most recent trial, anyone could get three
>> free recommendations in PDF. The recommendations had to be at least
>> two years old.
>>
>> ITU considers that experiment a substantial success. It recently
>> announced that the experimental phase is over. The announcement can
>> be found at
>> http://www.itu.int/ITU-T/newslog/Free+Access+For+All+To+ITUT+Standards.aspx
>>
>> One can now get any number of recommendations at no charge regardless
>> of when the recommendations were published.
>>
>> These are still copyrighted documents so one should probably not
>> redistribute the actual standards. However, since they are online,
>> one need only publish the appropriate URL.
>>
>> Links to all recommendations can be found at
>> http://www.itu.int/ITU-T/publications/recs.html
>>
>> Links to the X series, including the X.500 series, can be found at
>> http://www.itu.int/rec/T-REC-X/e These are in English; links for
>> versions in French and Spanish can be be found at the top right-hand
>> corner of the page.
>>
>> Links to the latest two editions of X.509, March 2000 and August
>> 2007, can be found at http://www.itu.int/rec/T-REC-X.509/en
>>
>> Enjoy. I for one am grateful for the permanent adoption of this
>> enlightened policy.
>>
>>     hoyt
>>
>>